Package wx :: Package lib :: Package agw :: Module flatmenu :: Class FlatMenuItemGroup

[frames | no frames]

## Class FlatMenuItemGroup

A class that manages a group of radio menu items.

Method Summary
| ``__init__`(self)` Default class constructor.
| ``Add`(self, item)` Adds a new item to the group.
| ``Exist`(self, item)` Checks if an item is in the group.
| ``GetSelectedItem`(self)` Returns the selected item.
| ``Remove`(self, item)` Removes a particular item.
| ``SetSelection`(self, item)` Selects a particular item.

Method Details

### __init__(self)
(Constructor)

Default class constructor.

### Add(self, item)

Adds a new item to the group.

### Exist(self, item)

Checks if an item is in the group.

### GetSelectedItem(self)

Returns the selected item.

### Remove(self, item)

Removes a particular item.

### SetSelection(self, item)

Selects a particular item.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:06 2009 | http://epydoc.sf.net